Page MenuHomePhabricator

Revisit user avatar icon
Closed, ResolvedPublic

Description

Current icon does have some minor attributes that could use refinement like oversized head to body or hanging shoulders.

In comparison the updated Material icon

And comparison with other platforms:

Most of the above fail in our context for various reasons, besides probably Material icon.
We definitely want to continue following our icon guidelines, but should consider going further than the most simple geometric forms to “humanize” the avatar slightly more while remaining universal.

Related Objects

Event Timeline

Volker_E created this task.Sep 25 2018, 6:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 25 2018, 6:45 PM
Volker_E updated the task description. (Show Details)Sep 25 2018, 6:51 PM
RHo added a comment.Sep 26 2018, 2:45 PM

hi @Volker_E - here's a few variations tweaking to the avatar icon to be a bit more humanized. My preference is alt3:

Volker_E added a comment.EditedSep 26 2018, 4:26 PM

@RHo In a side-by-side comparison I'd had a slight preference to 1, but in the application in one of the most prominent places, I agree with you on 3

(2nd screen only has help lines for visual orientation, it also shows alternative 3)

RHo added a comment.Sep 26 2018, 4:27 PM

@Volker - yas, agree (with myself :p) that v3 looks good

Volker_E triaged this task as Medium priority.Sep 26 2018, 4:29 PM
Volker_E added a project: OOUI.

Trying to think about some criteria to help the evaluation here, otherwise maybe it's just personal preference for a certain body shape? The main thing that stands out to me (and I agree that currently the head is too large) is that in the ones you posted, @RHo, as compared with our current one and Material design one, the shoulders have a more rounded curve to them. I do prefer the more shallow curve of the other two here:

RHo added a comment.Sep 26 2018, 6:34 PM

Hey @alexhollender – agree it is probably a body shape preference but I refrained from replicating the Material contact icon since their head is a bit separated in from torso, and the shouldered felt too square and slightly more masculine. So in the end basically just kept the simple shape of the current avatar with the more proportional smaller head and showed more of the torso.

Trying to think about some criteria to help the evaluation here, otherwise maybe it's just personal preference for a certain body shape? The main thing that stands out to me (and I agree that currently the head is too large) is that in the ones you posted, @RHo, as compared with our current one and Material design one, the shoulders have a more rounded curve to them. I do prefer the more shallow curve of the other two here:

Volker_E added a comment.EditedSep 26 2018, 6:50 PM

[…] and slightly more masculine. […]

It's funny that you state that, as for me it's more about body posture than anatomy. The “more shallow” shoulders as sign of confidence (which our users should be as part of Wikimedia movement ;) ).
Anyways, I'm much happier with the updated one in alternative 3 as stated above and if no new arguments are brought forward, I'll provide a patch against OOUI.

Change 464043 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] icons: Refine 'userAvatar' slightly

https://gerrit.wikimedia.org/r/464043

Change 464043 merged by jenkins-bot:
[oojs/ui@master] icons: Refine 'userAvatar' slightly

https://gerrit.wikimedia.org/r/464043

Volker_E closed this task as Resolved.Oct 2 2018, 10:56 PM
Volker_E moved this task from Backlog to OOUI-0.29.0 on the OOUI board.
Volker_E edited projects, added OOUI (OOUI-0.29.0); removed OOUI.
Volker_E removed a project: Patch-For-Review.

Change 464370 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Update OOUI to v0.29.0

https://gerrit.wikimedia.org/r/464370

Change 464607 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] Update OOUI to v0.29.1

https://gerrit.wikimedia.org/r/464607

Change 464370 abandoned by Jforrester:
Update OOUI to v0.29.0

Reason:
Replaced by Ie847465af6762.

https://gerrit.wikimedia.org/r/464370

Change 464607 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.29.1

https://gerrit.wikimedia.org/r/464607